<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once __DIR__ . '/forum_bootstrap.php';
require_once __DIR__ . '/../auth.php';
requireLogin();
$user = currentUser();
$groupId = $user['group_id'] ?? 0;
if ($groupId < 10) { die("Unauthorized"); }

require_once __DIR__ . '/../../config/db.php';


$id = $_GET['id'] ?? null;
$data = ['name' => '', 'is_system' => 0];

if ($id) {
    $stmt = $db->prepare("SELECT * FROM forum_usergroups WHERE id = ?");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $data = $stmt->get_result()->fetch_assoc();
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = trim($_POST['name']);
    if ($id) {
        $stmt = $db->prepare("UPDATE forum_usergroups SET name = ? WHERE id = ?");
        $stmt->bind_param("si", $name, $id);
    } else {
        $stmt = $db->prepare("INSERT INTO forum_usergroups (name, is_system) VALUES (?, 0)");
        $stmt->bind_param("s", $name);
    }
    $stmt->execute();
    header("Location: forum_usergroups.php");
    exit;
}
?>
<link rel="stylesheet" href="../css/admin.css">
<div class="dashboard-wrapper">
    <h2><?= $id ? 'Edit' : 'Add' ?> Forum Usergroup</h2>
    <form method="post">
        <label>Group Name</label>
        <input type="text" name="name" value="<?= htmlspecialchars($data['name']) ?>" required>
        <button type="submit">Save</button>
        <a href="forum_usergroups.php" class="button">Cancel</a>
    </form><br><p><a href="index.php" class="btn"> < - Back to Forum Manager</a>
</div>
