<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once __DIR__ . '/forum_bootstrap.php';
require_once __DIR__ . '/../auth.php';
requireLogin();
$user = currentUser();
$groupId = $user['group_id'] ?? 0;
if ($groupId < 10) { die("Unauthorized"); }

require_once __DIR__ . '/../../config/db.php';

$groups = $db->query("SELECT id, name FROM forum_usergroups WHERE is_deleted = 0")->fetch_all(MYSQLI_ASSOC);
$permissions = $db->query("SELECT * FROM forum_permissions ORDER BY id")->fetch_all(MYSQLI_ASSOC);

$selected = $_GET['group'] ?? null;
$values = [];

if ($selected) {
    $stmt = $db->prepare("SELECT permission_id FROM forum_usergroup_permissions WHERE usergroup_id = ?");
    $stmt->bind_param("i", $selected);
    $stmt->execute();
    $result = $stmt->get_result();
    while ($row = $result->fetch_assoc()) {
        $values[] = $row['permission_id'];
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && $selected && $selected != 4) {
    $db->query("DELETE FROM forum_usergroup_permissions WHERE usergroup_id = $selected");
    foreach ($_POST['perm'] ?? [] as $pid) {
        $pid = (int)$pid;
        $db->query("INSERT INTO forum_usergroup_permissions (usergroup_id, permission_id, allowed) VALUES ($selected, $pid, 1)");
    }
    header("Location: forum_permissions.php?group=$selected");
    exit;
}
?>
<link rel="stylesheet" href="../css/admin.css">
<div class="dashboard-wrapper">
    <h2>Forum Permissions Editor</h2>
    <form method="get" style="margin-bottom:10px;">
        <label>Select Usergroup:</label>
        <select name="group" onchange="this.form.submit()">
            <option value="">-- Choose --</option>
            <?php foreach ($groups as $g): ?>
                <option value="<?= $g['id'] ?>" <?= ($selected == $g['id']) ? 'selected' : '' ?>>
                    <?= htmlspecialchars($g['name']) ?>
                </option>
            <?php endforeach; ?>
        </select>
    </form>

<?php if ($selected): ?>
    <form method="post">
        <table class="admin-table">
            <thead><tr><th>Permission</th><th>Allowed</th></tr></thead>
            <tbody>
                <?php foreach ($permissions as $p): ?>
                <tr>
                    <td><?= htmlspecialchars($p['label']) ?></td>
                    <td><input type="checkbox" name="perm[]" value="<?= $p['id'] ?>" <?= in_array($p['id'], $values) ? 'checked' : '' ?> <?= $selected == 4 ? 'disabled' : '' ?>></td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <?php if ($selected != 4): ?>
            <button type="submit">Save Permissions</button>
        <?php endif; ?>
    </form>
<?php endif; ?>
<br><p><a href="index.php" class="btn"> < - Back to Forum Manager</a>
</div>
