<?php
// /forums/lock_topic.php
require_once __DIR__ . '/../admin/forums/forum_bootstrap.php';
require_once __DIR__ . '/../config/db.php';

// must be POST, must be group ≥9
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    http_response_code(405);
    exit;
}
$fu = $_SESSION['forum_user'] ?? [];
if (!in_array($fu['group_id'], [9,10])) {
    http_response_code(403);
    exit;
}

$topicId = (int)($_POST['topic_id'] ?? 0);
if (!$topicId) exit('Invalid');

$stmt = $db->prepare("
    UPDATE forum_topics
       SET is_locked = IFNULL(is_locked,0) ^ 1
     WHERE id = ?
");
$stmt->bind_param('i',$topicId);
$stmt->execute();

header("Location: /forums/topic/{$_POST['slug']}?id={$topicId}");
exit;
