<?php
// user_content/post_reply.php

// 1) Bootstrap forum user SSO (no session_start here — already running)
require_once __DIR__ . '/../admin/forums/forum_bootstrap.php';
require_once __DIR__ . '/../config/db.php';

$forumUser = $_SESSION['forum_user'] ?? null;

if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    die("Invalid request.");
}

// 2) Inputs
$topicId = (int)($_POST['topic_id'] ?? 0);
$content = trim($_POST['content'] ?? '');
if ($topicId <= 0 || $content === '') {
    die("Missing topic or content.");
}

// 3) Who’s posting? — must be forum_user.id
$userId = $_SESSION['forum_user']['id'] ?? null;
if (!$userId) {
    die("You must be logged in to reply.");
}

// 4) Insert the reply
$stmt = $db->prepare("
    INSERT INTO forum_posts (topic_id, user_id, content, created_at)
    VALUES (?, ?, ?, NOW())
");
$stmt->bind_param('iis', $topicId, $userId, $content);
$stmt->execute();

// 5) Grab slug to redirect
$slugStmt = $db->prepare("
    SELECT slug
      FROM forum_topics
     WHERE id = ? AND is_deleted = 0
");
$slugStmt->bind_param('i', $topicId);
$slugStmt->execute();
$row = $slugStmt->get_result()->fetch_assoc();
$slug = $row['slug'] ?? '';
if (!$slug) {
    die("Error: topic not found.");
}

// 6) Redirect back to the topic
echo "<script>window.location.replace('/forums/topic/{$slug}?id={$topicId}');</script>";
exit;
